[snb-m-gt2+] Primary laptop display not working, external monitor works fine. [Fixed as of linux-image-3.3.0-994-generic_3.3.0-994.201201290428 from drm-intel-fixes branch]

Bug #912992 reported by Stephen Rees-Carter on 2012-01-07
This bug report is a duplicate of:  Bug #924989: Black screen at boot on Thinkpad L520. Edit Remove
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Fix Released
High
linux (Ubuntu)
High
Unassigned
xserver-xorg-video-intel (Ubuntu)
High
Unassigned

Bug Description

On a fresh install of 12.04, on my Thinkpad L520, the primary monitor refuses to work. I can plug in an external monitor and it works fine, but the primary laptop monitor displays nothing.

There are no special drives that I know of for this graphics card, and it works fine in previous versions of Ubuntu.
(Previous versions need the 'noapic' flag to boot though).

What can I do to debug and get this fixed?
It's a deal breaker, I can't upgrade to 12.04 until I can use my laptops primary screen.

[ 22.840] (II) intel(0): Output LVDS1 connected
[ 22.840] (II) intel(0): Output VGA1 connected
[ 22.840] (II) intel(0): Output HDMI1 disconnected
[ 22.840] (II) intel(0): Output DP1 disconnected
[ 22.840] (II) intel(0): Output HDMI2 disconnected
[ 22.840] (II) intel(0): Output HDMI3 disconnected
[ 22.840] (II) intel(0): Output DP2 disconnected
[ 22.840] (II) intel(0): Output DP3 disconnected
[ 22.840] (II) intel(0): Using fuzzy aspect match for initial modes
[ 22.840] (II) intel(0): Output LVDS1 using initial mode 1152x864
[ 22.840] (II) intel(0): Output VGA1 using initial mode 1152x864

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xorg 1:7.6+7ubuntu7
ProcVersionSignature: Ubuntu 3.2.0-7.13-generic 3.2.0-rc7
Uname: Linux 3.2.0-7-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 1.90-0ubuntu1
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,grid,resize,gnomecompat,mousepoll,compiztoolbox,imgpng,unitymtgrabhandles,place,vpswitch,session,move,regex,snap,wall,animation,workarounds,expo,fade,scale,ezoom,unityshell]
CompositorRunning: compiz
Date: Sat Jan 7 11:43:17 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
EcryptfsInUse: Yes
ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:21dd]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120106)
MachineType: LENOVO 7859CTO
ProcEnviron:
 LANGUAGE=en_AU:en
 PATH=(custom, no user)
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-7-generic root=UUID=a63e6aba-2cae-4941-a76d-cf5be29c6655 ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/07/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 8GET33WW (1.10 )
dmi.board.name: 7859CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8GET33WW(1.10):bd06/07/2011:svnLENOVO:pn7859CTO:pvrThinkPadL520:rvnLENOVO:rn7859CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 7859CTO
dmi.product.version: ThinkPad L520
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu8
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.29-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu4
version.xserver-xorg-core: xserver-xorg-core 2:1.10.4-1ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1

Stephen Rees-Carter (valorin) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed

Running a Lenovo Thinkpad L520 here, too.

Noticed this bug on Ubuntu 12.04 amd64 alpha 1 LiveCD. Also, on Ubuntu 11.10 (amd64) a vanilla 3.2.0 kernel compiled from kernel.org sources has the exact same symptoms. No amount of twiddling with framebuffer modules, initrds and such seemed to help. Adding kernel boot option modeset=0 helped, but only allowed 1024x768 resolution.

Bryce Harrington (bryce) wrote :

Interesting! Well, the logs look ok; your system is seeing your monitor and graphics card capabilities just fine, and the logs look perfectly normal. Which, obviously, is a blatant lie.

Now, you have sandybridge graphics, and we certainly have had some reported issues with graphics on these systems. I think the CRTC mapping may be off in some situations. Fortunately these types of issues are getting high priority attention upstream, if we can collect the right info.

Enable drm debugging. Run `sudo xdiagnose`, it's the first checkbox. Enable it, hit apply, wait for grub to rebuild, then reboot and collect `sudo dmesg > dmesg.txt` and post that here. We can review that to see if it is a CRTC mapping issue.

It sounds like you're currently running an earlier version that does not have this bug? If so, please collect 'xrandr --verbose > xrandr.txt` from that earlier version and post that here too. We can review that to see if it is an EDID/modeline issue.

With an external monitor attached, run the command `xrandr --output LVDS1 off; xrandr --output LVDS1 --auto` which will see if simply re-loading the display is enough to get it initialized properly.

Changed in xorg (Ubuntu):
importance: Undecided → High
status: Confirmed → Incomplete
Stephen Rees-Carter (valorin) wrote :

Yep, I'm running 11.10 at the moment. It needs the 'noapic' flag, but apart from that, it works well.

I have attached the output of 'xrandr --verbose > xrandr.txt' from 11.10, and I will boot into 12.04 in 15 mins or so to get the output of the other commands you asked for.

Thanks for the debugging help :) I really appreciate it!

Stephen Rees-Carter (valorin) wrote :

Ok, I'll have to do the 12.04 debug stuff at home. I don't have my second drive with me, and the "wait for grub to rebuild, then reboot" step doesn't work with the LiveCD.

Bryce Harrington (bryce) wrote :

Alright, sounds good.

bug #814895 is another recently reported snb issue, although the symptoms are different than this so possibly independent bugs.

Bryce Harrington (bryce) on 2012-01-18
Changed in xorg (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Stephen Rees-Carter (valorin) wrote :

I'm now in 12.04, and have attached the output of 'dmesg' after enabling drm debugging.
I hope it gives you what you need.

I tried the 'xrandr --output LVDS1 off; xrandr --output LVDS1 --auto' command, but it just gives me a screen of usage information for the command. Is it missing something?

Bryce Harrington (bryce) wrote :

Sorry, should be `xrandr --output LVDS1 --off; xrandr --output LVDS1 --auto

affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
Bryce Harrington (bryce) on 2012-01-20
summary: - Primary laptop display not working, external monitor works fine.
+ [snb-m-gt2+] Primary laptop display not working, external monitor works
+ fine.
description: updated

Another worthwhile thing to test is if the new upstream kernel has a fix:

  http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-rc1-precise/

But meanwhile I'll go ahead and forward this issue to Intel.

Download full text (3.7 KiB)

Forwarding this bug from Ubuntu reporter Stephen Rees-Carter:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/912992

[Problem]
On a fresh install of 12.04, on my Thinkpad L520 with sandybridge graphics, the primary monitor displays nothing. An external monitor connected will work fine. This setup works fine in previous versions of Ubuntu. (Previous versions need the 'noapic' flag to boot though).

Someone else reported similar problems on a Thinkpad L520, and also saw it on Ubuntu 11.10 with the vanilla 3.2.0 kernel compiled from kernel.org source. They worked around it by disabling modesetting in grub.

[ 22.840] (II) intel(0): Output LVDS1 connected
[ 22.840] (II) intel(0): Output VGA1 connected
[ 22.840] (II) intel(0): Output HDMI1 disconnected
[ 22.840] (II) intel(0): Output DP1 disconnected
[ 22.840] (II) intel(0): Output HDMI2 disconnected
[ 22.840] (II) intel(0): Output HDMI3 disconnected
[ 22.840] (II) intel(0): Output DP2 disconnected
[ 22.840] (II) intel(0): Output DP3 disconnected
[ 22.840] (II) intel(0): Using fuzzy aspect match for initial modes
[ 22.840] (II) intel(0): Output LVDS1 using initial mode 1152x864
[ 22.840] (II) intel(0): Output VGA1 using initial mode 1152x864

DistroRelease: Ubuntu 12.04
Package: xorg 1:7.6+7ubuntu7
ProcVersionSignature: Ubuntu 3.2.0-7.13-generic 3.2.0-rc7
Uname: Linux 3.2.0-7-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 1.90-0ubuntu1
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,grid,resize,gnomecompat,mousepoll,compiztoolbox,imgpng,unitymtgrabhandles,place,vpswitch,session,move,regex,snap,wall,animation,workarounds,expo,fade,scale,ezoom,unityshell]
CompositorRunning: compiz
Date: Sat Jan 7 11:43:17 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
EcryptfsInUse: Yes
ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
GraphicsCard:
Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
Subsystem: Lenovo Device [17aa:21dd]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120106)
MachineType: LENOVO 7859CTO
ProcEnviron:
LANGUAGE=en_AU:en
PATH=(custom, no user)
LANG=en_AU.UTF-8ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-7-generic root=UUID=a63e6aba-2cae-4941-a76d-cf5be29c6655 ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/07/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 8GET33WW (1.10 )
dmi.board.name: 7859CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8GET33WW(1.10):bd06/07/2011:svnLENOVO:pn7859CTO:pvrThinkPadL520:rvnLENOVO:rn7859CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 7859CTO
dmi.product.version: ThinkPad L520
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu8
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.29-1...

Read more...

Created attachment 55863
BootDmesg.txt

Created attachment 55864
CurrentDmesg.txt

Created attachment 55865
XorgLog.txt

Bryce Harrington (bryce) wrote :

Stephen Rees-Carter - I've forwarded this bug upstream to https://bugs.freedesktop.org/show_bug.cgi?id=45005 - please subscribe yourself to this bug, in case they need further information or wish you to test something. Thanks ahead of time!

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Triaged

Created attachment 55866
Xrandr.txt

Changed in xserver-xorg-video-intel:
importance: Unknown → High
status: Unknown → Confirmed

I have subscribed to that bug.

I did a dist-upgrade of my machine, as well as installing the latest Kernel you linked and have some interesting results:

1) I now need the 'noapic' flag in my boot options again.
Is this the same bug, or a different issue?
I have another bug open about this already: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/903558

2) The 'xrandr --output LVDS1 --off; xrandr --output LVDS1 --auto' command succeeds in turning on the other monitor some times. Compiz keeps crashing through, but it does switch on occasionally.

3) I did some testing with the Display settings and my Laptop monitor works on 1360 x 768 and smaller, but the two larger resolutions, 1440 x 900 and 1600 x 900 don't work.

Stephen Rees-Carter (valorin) wrote :

I just did an upgrade and have discovered that if I boot into 12.04 with a second monitor, go into the Display Settings, ensure my laptop monitor is enabled with the right reso (1600x900), clicking 'Apply' switches on the monitor!
But it appears it will only switch on when the external is enabled too, so I can't make it happen without an external monitor there and activated.

So I guess the question is, why can't it start up the monitor on boot?

(These are copied from the Launchpad bug - I figure they would be of use here.)

I did a dist-upgrade of my machine, as well as installing the latest Kernel you linked and have some interesting results:

1) I now need the 'noapic' flag in my boot options again.
Is this the same bug, or a different issue?
I have another bug open about this already: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/903558

2) The 'xrandr --output LVDS1 --off; xrandr --output LVDS1 --auto' command succeeds in turning on the other monitor some times. Compiz keeps crashing through, but it does switch on occasionally.

3) I did some testing with the Display settings and my Laptop monitor works on 1360x768 and smaller, but the two larger resolutions, 1440x900 and 1600x900 don't work.

--

I just did an upgrade and have discovered that if I boot into 12.04 with a second monitor, go into the Display Settings, ensure my laptop monitor is enabled with the right reso (1600x900), clicking 'Apply' switches on the monitor!
But it appears it will only switch on when the external is enabled too, so I can't make it happen without an external monitor there and activated.

So I guess the question is, why can't it start up the monitor on boot?

Bryce Harrington (bryce) wrote :

> I now need the 'noapic' flag in my boot options again.
> Is this the same bug, or a different issue?

Dunno, but it's a quite interesting clue.
Thanks for copying your info upstream, hopefully it'll give them some specific ideas.

Glad to hear that toggling the LVDS1 serves as a workaround. It also suggests there may be a race condition going on here or something. I'm curious what ratio of times it works, roughly? Like 10%? 50%? 75%?

Hm, that's another report saying that plugging in a 2nd monitor and switching it on on snb machine magically fixes things ...

A few things: Can you upgrade your kernel to the latest drm-intel-fixes branch from Keith's git:

https://git.kernel.org/?p=linux/kernel/git/keithp/linux.git;a=summary

Also can you install intel-gpu-tools at least v1.1, hopefully ubuntu has it. Otherwise grab the latest git from:

http://cgit.freedesktop.org/xorg/app/intel-gpu-tools/

Then run tools/intel_reg_dumper for both a working configuration (i.e. 2 monitors switched on) and a non-working configuration and attach the output to the bug. Please also attach the xrandr output so we know exactly what output configuration the register dump is coming from.

The noapic issue is likely unrelated to your gpu woes.

> Also can you install intel-gpu-tools at least v1.1, hopefully ubuntu has it.

I've updated the intel-gpu-tools package in Ubuntu to v1.1. You should be able to install or upgrade it through apt normally.

https://launchpad.net/ubuntu/+source/intel-gpu-tools

@Daniel, we have automatic builds of several of the drm-* kernel trees. Would any of these suffice for testing? Might be easier for Stephen than having to hand-compile his own kernel.

  http://kernel.ubuntu.com/~kernel-ppa/mainline/

> Also can you install intel-gpu-tools at least v1.1, hopefully ubuntu has it.

I've updated the intel-gpu-tools package in Ubuntu to v1.1. You should be able to install or upgrade it through apt normally.

https://launchpad.net/ubuntu/+source/intel-gpu-tools

I also asked the kernel team to start making builds of the drm-intel-fixes (instead of drm-intel-next-proposed, which seems to have stagnated lately.)

I have just upgraded my Kernel and the primary laptop monitor now loads up on boot without any issues!
I still need to test the 'noapic' flag to see if it has been fixed too, but the important thing is, I can now use my laptop as a laptop :)

Do you still want all that debugging information, or should I not worry since it's now working?

The version I upgraded to is:
http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-fixes/2012-01-29-precise/
  linux-headers-3.3.0-994-generic_3.3.0-994.201201290428_amd64.deb 29-Jan-2012 09:37 943K
  linux-headers-3.3.0-994_3.3.0-994.201201290428_all.deb 29-Jan-2012 09:29 11M
  linux-image-3.3.0-994-generic_3.3.0-994.201201290428_amd64.deb 29-Jan-2012 09:37 36M

I've tested and I still need the 'noapic' flag to successfully boot.

Can someone point me in the right direction to get this one fixed?
I will update my launchpad bug (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/903558) with fresh details regarding this issue - but I don't know if it's in the right place to be noticed.

Nope, no more debug information needed. We've fixed quite a few bugs for snb lately and luckily yours was among them!

Changed in xserver-xorg-video-intel:
status: Confirmed → Fix Released
Bryce Harrington (bryce) on 2012-02-02
summary: [snb-m-gt2+] Primary laptop display not working, external monitor works
- fine.
+ fine. [Fixed as of linux-
+ image-3.3.0-994-generic_3.3.0-994.201201290428]
Bryce Harrington (bryce) on 2012-02-02
summary: [snb-m-gt2+] Primary laptop display not working, external monitor works
- fine. [Fixed as of linux-
- image-3.3.0-994-generic_3.3.0-994.201201290428]
+ fine. [Fixed as of linux-image-3.3.0-994-generic_3.3.0-994.201201290428
+ from drm-intel-fixes branch]
tags: added: kernel-handoff-graphics
removed: compiz-0.9 running-unity

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to New. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: kernel-request-3.2.0-12.21
Bryce Harrington (bryce) wrote :

Stephen verified the drm-intel-fixes branch contains a fix for the issue. Upstream says a lot of snb fixes went in to that branch, so presumably this will require backporting of the snb patch set. Since the branch targets the 3.3 kernel, which we do not plan to ship in ubuntu, we won't get the fixes automatically for Precise.

Potentially eugeni will backport them to the 3.2 tree. If that happens, then assuming the kernel team updates to new stable releases of this kernel series, we would get the fix then.

I'll leave it to the kernel team to finish the porting of the fixes into the ubuntu kernel.

Changed in linux (Ubuntu):
importance: Undecided → High
status: Incomplete → New
Bryce Harrington (bryce) wrote :

[Closing out the X bug task since it's actually a kernel bug, and we appear to have successfully isolated where the fixes exist.]

Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Fix Released
Brad Figg (brad-figg) on 2012-02-02
Changed in linux (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) on 2012-02-02
tags: added: kernel-da-key
tags: added: kernel-key
Stephen Rees-Carter (valorin) wrote :

This bug might be the same as the one here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/924989
It sounds like a similar issue - given that he reports the computer works fine via SSH (so it's purely screen not working).

I don't understand Kernel versions enough to work out if it's the same though.

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-13.22
tags: added: bot-stop-nagging
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Julian Wiedmann (jwiedmann) wrote :

Stephen,
is this still an issue with the latest Precise kernel (3.2.0-17.27)? It has the patch from bug 924989.

Stephen Rees-Carter (valorin) wrote :

No, the patch has fixed it :)

Sorry, I should've updated this bug to report that.

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.